# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'dag/client/version'

Gem::Specification.new do |spec|
  spec.name          = "iij-dag-client"
  spec.version       = Dag::Client::VERSION
  spec.authors       = ["iij"]
  spec.email         = ["dag-info@iij.ad.jp"]
  spec.description   = %q{iij gio dag library for ruby}
  spec.summary       = %q{iij gio dag library for ruby}
  spec.homepage      = "http://www.iij.ad.jp/biz/storage/"
  spec.license       = "Apache License 2.0"

  spec.files         = `git ls-files`.split($/).reject {|item| item =~ /^(sample|doc|README|CHANGELOG|.drone.yml|spec|.rspec)/ }
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "activesupport", "~> 5.1.0"
  spec.add_dependency "httpclient", "~> 2.8.0"
  spec.add_dependency "settingslogic", "~> 2.0.9"
  spec.add_dependency "oj", "~> 3.3.0"
  spec.add_dependency "mime-types", "~> 3.1"
  spec.add_dependency "xml-simple", "~> 1.1.4"

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.1.0"
end
